import BigNumber from "bignumber.js";
export const serializeInternetComputerTransaction = ({ amount, recipient, family, fees, memo, }) => ({
    amount: amount.toFixed(),
    recipient,
    family,
    fees: fees.toString(),
    memo,
});
export const deserializeInternetComputerTransaction = ({ amount, recipient, family, fees, memo, }) => ({
    amount: new BigNumber(amount),
    recipient,
    family,
    fees: new BigNumber(fees),
    memo,
});
//# sourceMappingURL=serializer.js.map