import { z } from "zod";
export declare const schemaRawNearTransaction: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
    family: z.ZodLiteral<"near">;
    mode: z.ZodString;
    fees: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    family: "near";
    amount: string;
    recipient: string;
    mode: string;
    fees?: string | undefined;
}, {
    family: "near";
    amount: string;
    recipient: string;
    mode: string;
    fees?: string | undefined;
}>;
//# sourceMappingURL=validation.d.ts.map