import BigNumber from "bignumber.js";
export function serializeSolanaTransaction({ amount, family, model, recipient, raw, }) {
    return {
        amount: amount.toString(),
        family,
        model: JSON.stringify(model),
        recipient,
        raw,
    };
}
export function deserializeSolanaTransaction({ family, amount, model, recipient, raw, }) {
    return {
        amount: new BigNumber(amount),
        family,
        // eslint-disable-next-line @typescript-eslint/no-unsafe-assignment
        model: JSON.parse(model),
        recipient,
        raw,
    };
}
//# sourceMappingURL=serializer.js.map