import { z } from "zod";
export declare const schemaRawStacksTransaction: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
    family: z.ZodLiteral<"stacks">;
    fee: z.ZodOptional<z.ZodString>;
    nonce: z.ZodOptional<z.ZodString>;
    memo: z.ZodOptional<z.ZodString>;
    network: z.ZodString;
    anchorMode: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    network: string;
    family: "stacks";
    amount: string;
    recipient: string;
    anchorMode: number;
    fee?: string | undefined;
    nonce?: string | undefined;
    memo?: string | undefined;
}, {
    network: string;
    family: "stacks";
    amount: string;
    recipient: string;
    anchorMode: number;
    fee?: string | undefined;
    nonce?: string | undefined;
    memo?: string | undefined;
}>;
//# sourceMappingURL=validation.d.ts.map