import { z } from "zod";
const schemaBitcoinGetPublicKeyParams = z.object({
    accountId: z.string(),
    derivationPath: z.string().optional(),
});
const schemaBitcoinGetPublicKeyResults = z.object({
    publicKey: z.string(),
});
export const schemaBitcoinGetPublicKey = {
    params: schemaBitcoinGetPublicKeyParams,
    result: schemaBitcoinGetPublicKeyResults,
};
//# sourceMappingURL=BitcoinGetPublicKey.js.map