import type { AccountNotFound, CurrencyNotFound, NotImplementedByWallet, PermissionDenied, UnauthorizedStore, UnknownError, UnknownErrorData } from "./types";
export declare function createNotImplementedByWallet(methodId: string): NotImplementedByWallet;
export declare function createPermissionDenied(methodId: string): PermissionDenied;
export declare function createCurrencyNotFound(currencyId: string): CurrencyNotFound;
export declare function createAccountNotFound(accountId: string): AccountNotFound;
export declare function createUnknownError(error: UnknownErrorData): UnknownError;
export declare function createUnauthorizedStore(storeId: string): UnauthorizedStore;
//# sourceMappingURL=creators.d.ts.map