"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaRawAptosTransaction = exports.schemaAptosOperationMode = void 0;
const zod_1 = require("zod");
const common_1 = require("../common");
exports.schemaAptosOperationMode = zod_1.z.enum(["send"]);
exports.schemaRawAptosTransaction = common_1.schemaTransactionCommon.extend({
    family: zod_1.z.literal(common_1.schemaFamilies.enum.aptos),
    mode: exports.schemaAptosOperationMode,
    fees: zod_1.z.string().optional(),
});
//# sourceMappingURL=validation.js.map