import { z } from "zod";
export declare const schemaRawBitcoinTransaction: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
    family: z.ZodLiteral<"bitcoin">;
    feePerByte: z.ZodOptional<z.ZodString>;
    opReturnDataHex: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    family: "bitcoin";
    amount: string;
    recipient: string;
    feePerByte?: string | undefined;
    opReturnDataHex?: string | undefined;
}, {
    family: "bitcoin";
    amount: string;
    recipient: string;
    feePerByte?: string | undefined;
    opReturnDataHex?: string | undefined;
}>;
//# sourceMappingURL=validation.d.ts.map