import { z } from "zod";
export declare const schemaRawCardanoTransaction: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
    family: z.ZodLiteral<"cardano">;
    fees: z.ZodOptional<z.ZodString>;
    mode: z.ZodString;
    memo: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    family: "cardano";
    amount: string;
    recipient: string;
    mode: string;
    fees?: string | undefined;
    memo?: string | undefined;
}, {
    family: "cardano";
    amount: string;
    recipient: string;
    mode: string;
    fees?: string | undefined;
    memo?: string | undefined;
}>;
//# sourceMappingURL=validation.d.ts.map