"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deserializeCasperTransaction = exports.serializeCasperTransaction = void 0;
const bignumber_js_1 = __importDefault(require("bignumber.js"));
const serializeCasperTransaction = ({ amount, recipient, family, fees, transferId, }) => ({
    amount: amount.toFixed(),
    recipient,
    family,
    fees: fees.toString(),
    transferId,
});
exports.serializeCasperTransaction = serializeCasperTransaction;
const deserializeCasperTransaction = ({ amount, recipient, family, fees, transferId, }) => ({
    amount: new bignumber_js_1.default(amount),
    recipient,
    family,
    fees: new bignumber_js_1.default(fees),
    transferId,
});
exports.deserializeCasperTransaction = deserializeCasperTransaction;
//# sourceMappingURL=serializer.js.map