import { z } from "zod";
export declare const schemaRawCasperTransaction: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
    family: z.ZodLiteral<"casper">;
    fees: z.ZodString;
    transferId: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    family: "casper";
    amount: string;
    recipient: string;
    fees: string;
    transferId?: string | undefined;
}, {
    family: "casper";
    amount: string;
    recipient: string;
    fees: string;
    transferId?: string | undefined;
}>;
//# sourceMappingURL=validation.d.ts.map