import { z } from "zod";
export declare const schemaTransactionCommon: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
}, "strip", z.ZodTypeAny, {
    amount: string;
    recipient: string;
}, {
    amount: string;
    recipient: string;
}>;
export declare const FAMILIES: readonly ["algorand", "aptos", "bitcoin", "cardano", "casper", "celo", "crypto_org", "cosmos", "elrond", "ethereum", "filecoin", "hedera", "internet_computer", "near", "neo", "polkadot", "ripple", "solana", "stacks", "stellar", "sui", "tezos", "ton", "tron", "vechain"];
export declare const schemaFamilies: z.ZodEnum<["algorand", "aptos", "bitcoin", "cardano", "casper", "celo", "crypto_org", "cosmos", "elrond", "ethereum", "filecoin", "hedera", "internet_computer", "near", "neo", "polkadot", "ripple", "solana", "stacks", "stellar", "sui", "tezos", "ton", "tron", "vechain"]>;
//# sourceMappingURL=common.d.ts.map