"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaFamilies = exports.FAMILIES = exports.schemaTransactionCommon = void 0;
const zod_1 = require("zod");
exports.schemaTransactionCommon = zod_1.z.object({
    amount: zod_1.z.string(),
    recipient: zod_1.z.string(),
});
exports.FAMILIES = [
    "algorand",
    "aptos",
    "bitcoin",
    "cardano",
    "casper",
    "celo",
    "crypto_org",
    "cosmos",
    "elrond",
    "ethereum",
    "filecoin",
    "hedera",
    "internet_computer",
    "near",
    "neo",
    "polkadot",
    "ripple",
    "solana",
    "stacks",
    "stellar",
    "sui",
    "tezos",
    "ton",
    "tron",
    "vechain",
];
exports.schemaFamilies = zod_1.z.enum(exports.FAMILIES);
//# sourceMappingURL=common.js.map