"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaRawFilecoinTransaction = void 0;
const zod_1 = require("zod");
const common_1 = require("../common");
exports.schemaRawFilecoinTransaction = common_1.schemaTransactionCommon.extend({
    data: zod_1.z.string().optional(),
    family: zod_1.z.literal(common_1.schemaFamilies.enum.filecoin),
    gasLimit: zod_1.z.number(),
    gasFeeCap: zod_1.z.string(),
    gasPremium: zod_1.z.string(),
    method: zod_1.z.number(),
    nonce: zod_1.z.number(),
    params: zod_1.z.string().optional(),
    version: zod_1.z.number(),
});
//# sourceMappingURL=validation.js.map