import { z } from "zod";
export declare const schemaRawInternetComputerTransaction: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
    family: z.ZodLiteral<"internet_computer">;
    fees: z.ZodString;
    memo: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    family: "internet_computer";
    amount: string;
    recipient: string;
    fees: string;
    memo?: string | undefined;
}, {
    family: "internet_computer";
    amount: string;
    recipient: string;
    fees: string;
    memo?: string | undefined;
}>;
//# sourceMappingURL=validation.d.ts.map