"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deserializeRippleTransaction = exports.serializeRippleTransaction = void 0;
const bignumber_js_1 = __importDefault(require("bignumber.js"));
const serializeRippleTransaction = ({ family, fee, tag, amount, recipient, }) => ({
    family,
    amount: amount.toString(),
    recipient,
    fee: fee ? fee.toString() : undefined,
    tag,
});
exports.serializeRippleTransaction = serializeRippleTransaction;
const deserializeRippleTransaction = ({ family, fee, tag, amount, recipient, }) => ({
    family,
    amount: new bignumber_js_1.default(amount),
    recipient,
    fee: fee ? new bignumber_js_1.default(fee) : undefined,
    tag,
});
exports.deserializeRippleTransaction = deserializeRippleTransaction;
//# sourceMappingURL=serializer.js.map