import { z } from "zod";
export declare const schemaRawRippleTransaction: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
    family: z.ZodLiteral<"ripple">;
    fee: z.ZodOptional<z.ZodString>;
    tag: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    family: "ripple";
    amount: string;
    recipient: string;
    tag: number;
    fee?: string | undefined;
}, {
    family: "ripple";
    amount: string;
    recipient: string;
    tag: number;
    fee?: string | undefined;
}>;
//# sourceMappingURL=validation.d.ts.map