import { z } from "zod";
export declare const schemaRawSolanaTransaction: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
    family: z.ZodLiteral<"solana">;
    model: z.ZodString;
    raw: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    family: "solana";
    amount: string;
    recipient: string;
    model: string;
    raw?: string | undefined;
}, {
    family: "solana";
    amount: string;
    recipient: string;
    model: string;
    raw?: string | undefined;
}>;
//# sourceMappingURL=validation.d.ts.map