"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaRawStacksTransaction = void 0;
const zod_1 = require("zod");
const common_1 = require("../common");
exports.schemaRawStacksTransaction = common_1.schemaTransactionCommon.extend({
    family: zod_1.z.literal(common_1.schemaFamilies.enum.stacks),
    fee: zod_1.z.string().optional(),
    nonce: zod_1.z.string().optional(),
    memo: zod_1.z.string().optional(),
    network: zod_1.z.string(),
    anchorMode: zod_1.z.number(),
});
//# sourceMappingURL=validation.js.map