import { z } from "zod";
export declare const stellarMemoTypeEnum: z.ZodEnum<["MEMO_TEXT", "MEMO_ID", "MEMO_HASH", "MEMO_RETURN"]>;
export declare const schemaRawStellarTransaction: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
    family: z.ZodLiteral<"stellar">;
    fees: z.ZodOptional<z.ZodString>;
    memoType: z.ZodOptional<z.ZodEnum<["MEMO_TEXT", "MEMO_ID", "MEMO_HASH", "MEMO_RETURN"]>>;
    memoValue: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    family: "stellar";
    amount: string;
    recipient: string;
    fees?: string | undefined;
    memoType?: "MEMO_TEXT" | "MEMO_ID" | "MEMO_HASH" | "MEMO_RETURN" | undefined;
    memoValue?: string | undefined;
}, {
    family: "stellar";
    amount: string;
    recipient: string;
    fees?: string | undefined;
    memoType?: "MEMO_TEXT" | "MEMO_ID" | "MEMO_HASH" | "MEMO_RETURN" | undefined;
    memoValue?: string | undefined;
}>;
//# sourceMappingURL=validation.d.ts.map