"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaRawStellarTransaction = exports.stellarMemoTypeEnum = void 0;
const zod_1 = require("zod");
const common_1 = require("../common");
exports.stellarMemoTypeEnum = zod_1.z.enum([
    "MEMO_TEXT",
    "MEMO_ID",
    "MEMO_HASH",
    "MEMO_RETURN",
]);
exports.schemaRawStellarTransaction = common_1.schemaTransactionCommon.extend({
    family: zod_1.z.literal(common_1.schemaFamilies.enum.stellar),
    fees: zod_1.z.string().optional(),
    memoType: exports.stellarMemoTypeEnum.optional(),
    memoValue: zod_1.z.string().optional(),
});
//# sourceMappingURL=validation.js.map