"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaRawTransaction = void 0;
const zod_1 = require("zod");
const validation_1 = require("./algorand/validation");
const validation_2 = require("./aptos/validation");
const validation_3 = require("./bitcoin/validation");
const validation_4 = require("./celo/validation");
const validation_5 = require("./cosmos/validation");
const validation_6 = require("./crypto_org/validation");
const validation_7 = require("./ethereum/validation");
const validation_8 = require("./near/validation");
const validation_9 = require("./neo/validation");
const validation_10 = require("./polkadot/validation");
const validation_11 = require("./ripple/validation");
const validation_12 = require("./solana/validation");
const validation_13 = require("./stellar/validation");
const validation_14 = require("./tezos/validation");
const validation_15 = require("./ton/validation");
const validation_16 = require("./tron/validation");
const validation_17 = require("./hedera/validation");
const validation_18 = require("./filecoin/validation");
const validation_19 = require("./elrond/validation");
const validation_20 = require("./cardano/validation");
const validation_21 = require("./vechain/validation");
const validation_22 = require("./stacks/validation");
const validation_23 = require("./internet_computer/validation");
const validation_24 = require("./casper/validation");
const validation_25 = require("./sui/validation");
exports.schemaRawTransaction = zod_1.z.discriminatedUnion("family", [
    validation_1.schemaRawAlgorandTransaction,
    validation_2.schemaRawAptosTransaction,
    validation_3.schemaRawBitcoinTransaction,
    validation_4.schemaRawCeloTransaction,
    validation_5.schemaRawCosmosTransaction,
    validation_6.schemaRawCryptoOrgTransaction,
    validation_7.schemaRawEthereumTransaction,
    validation_17.schemaRawHederaTransaction,
    validation_18.schemaRawFilecoinTransaction,
    validation_8.schemaRawNearTransaction,
    validation_9.schemaRawNeoTransaction,
    validation_10.schemaRawPolkadotTransaction,
    validation_11.schemaRawRippleTransaction,
    validation_13.schemaRawStellarTransaction,
    validation_14.schemaRawTezosTransaction,
    validation_15.schemaRawTonTransaction,
    validation_16.schemaRawTronTransaction,
    validation_19.schemaRawElrondTransaction,
    validation_20.schemaRawCardanoTransaction,
    validation_12.schemaRawSolanaTransaction,
    validation_21.schemaRawVechainTransaction,
    validation_22.schemaRawStacksTransaction,
    validation_23.schemaRawInternetComputerTransaction,
    validation_24.schemaRawCasperTransaction,
    validation_25.schemaRawSuiTransaction,
]);
//# sourceMappingURL=validation.js.map