"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deserializeVechainTransaction = exports.serializeVechainTransaction = void 0;
const bignumber_js_1 = __importDefault(require("bignumber.js"));
const serializeVechainTransaction = ({ amount, recipient, family, estimatedFees, body, }) => ({
    amount: amount.toString(),
    recipient,
    family,
    estimatedFees,
    body,
});
exports.serializeVechainTransaction = serializeVechainTransaction;
const deserializeVechainTransaction = ({ amount, recipient, family, estimatedFees, body, }) => ({
    amount: new bignumber_js_1.default(amount),
    recipient,
    family,
    estimatedFees,
    body,
});
exports.deserializeVechainTransaction = deserializeVechainTransaction;
//# sourceMappingURL=serializer.js.map