"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaAccountList = void 0;
const zod_1 = require("zod");
const accounts_1 = require("../../accounts");
const schemaAccountListParams = zod_1.z
    .object({
    currencyIds: zod_1.z.array(zod_1.z.string()).optional(),
})
    .optional();
const schemaAccountListResults = zod_1.z.object({
    rawAccounts: zod_1.z.array(accounts_1.schemaRawAccount),
});
exports.schemaAccountList = {
    params: schemaAccountListParams,
    result: schemaAccountListResults,
};
//# sourceMappingURL=AccountList.js.map