"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaAccountReceive = void 0;
const zod_1 = require("zod");
const schemaAccountReceiveParams = zod_1.z.object({
    accountId: zod_1.z.string(),
    tokenCurrency: zod_1.z.string().optional(),
});
const schemaAccountReceiveResults = zod_1.z.object({
    address: zod_1.z.string(),
});
exports.schemaAccountReceive = {
    params: schemaAccountReceiveParams,
    result: schemaAccountReceiveResults,
};
//# sourceMappingURL=AccountReceive.js.map