"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaBitcoinGetAddress = void 0;
const zod_1 = require("zod");
const schemaBitcoinGetAddressParams = zod_1.z.object({
    accountId: zod_1.z.string(),
    derivationPath: zod_1.z.string().optional(),
});
const schemaBitcoinGetAddressResults = zod_1.z.object({
    address: zod_1.z.string(),
});
exports.schemaBitcoinGetAddress = {
    params: schemaBitcoinGetAddressParams,
    result: schemaBitcoinGetAddressResults,
};
//# sourceMappingURL=BitcoinGetAddress.js.map