"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaDeviceOpen = void 0;
const zod_1 = require("zod");
const schemaDeviceOpenParams = zod_1.z.object({
    /** ID of the device to select */
    deviceId: zod_1.z.string(),
});
const schemaDeviceOpenResults = zod_1.z.object({
    transportId: zod_1.z.string(),
});
exports.schemaDeviceOpen = {
    params: schemaDeviceOpenParams,
    result: schemaDeviceOpenResults,
};
//# sourceMappingURL=DeviceOpen.js.map