"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaWalletInfo = void 0;
const zod_1 = require("zod");
const schemaWalletInfoParams = zod_1.z.object({});
const schemaWalletInfoResults = zod_1.z.object({
    tracking: zod_1.z.boolean(),
    wallet: zod_1.z.object({
        name: zod_1.z.string(),
        version: zod_1.z.string(),
    }),
});
exports.schemaWalletInfo = {
    params: schemaWalletInfoParams,
    result: schemaWalletInfoResults,
};
//# sourceMappingURL=WalletInfo.js.map