import { z } from "zod";
export declare const schemaAptosOperationMode: z.ZodEnum<["send"]>;
export declare const schemaRawAptosTransaction: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
    family: z.ZodLiteral<"aptos">;
    mode: z.ZodEnum<["send"]>;
    fees: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    family: "aptos";
    amount: string;
    recipient: string;
    mode: "send";
    fees?: string | undefined;
}, {
    family: "aptos";
    amount: string;
    recipient: string;
    mode: "send";
    fees?: string | undefined;
}>;
//# sourceMappingURL=validation.d.ts.map