import BigNumber from "bignumber.js";
export const serializeCasperTransaction = ({ amount, recipient, family, fees, transferId, }) => ({
    amount: amount.toFixed(),
    recipient,
    family,
    fees: fees.toString(),
    transferId,
});
export const deserializeCasperTransaction = ({ amount, recipient, family, fees, transferId, }) => ({
    amount: new BigNumber(amount),
    recipient,
    family,
    fees: new BigNumber(fees),
    transferId,
});
//# sourceMappingURL=serializer.js.map