import { z } from "zod";
export declare const schemaRawHederaTransaction: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
    family: z.ZodLiteral<"hedera">;
    memo: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    family: "hedera";
    amount: string;
    recipient: string;
    memo?: string | undefined;
}, {
    family: "hedera";
    amount: string;
    recipient: string;
    memo?: string | undefined;
}>;
//# sourceMappingURL=validation.d.ts.map