"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaRawAccount = void 0;
const zod_1 = require("zod");
exports.schemaRawAccount = zod_1.z.object({
    id: zod_1.z.string(),
    name: zod_1.z.string(),
    address: zod_1.z.string(),
    currency: zod_1.z.string(),
    balance: zod_1.z.string(),
    spendableBalance: zod_1.z.string(),
    blockHeight: zod_1.z.union([zod_1.z.number(), zod_1.z.undefined()]),
    lastSyncDate: zod_1.z.string(),
    parentAccountId: zod_1.z.string().optional(),
});
//# sourceMappingURL=validation.js.map