"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaRawBitcoinTransaction = void 0;
const zod_1 = require("zod");
const common_1 = require("../common");
exports.schemaRawBitcoinTransaction = common_1.schemaTransactionCommon.extend({
    family: zod_1.z.literal(common_1.schemaFamilies.enum.bitcoin),
    feePerByte: zod_1.z.string().optional(),
    opReturnDataHex: zod_1.z.string().max(160).optional(),
});
//# sourceMappingURL=validation.js.map