"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaRawCardanoTransaction = void 0;
const zod_1 = require("zod");
const common_1 = require("../common");
exports.schemaRawCardanoTransaction = common_1.schemaTransactionCommon.extend({
    family: zod_1.z.literal(common_1.schemaFamilies.enum.cardano),
    fees: zod_1.z.string().optional(),
    mode: zod_1.z.string(),
    memo: zod_1.z.string().optional(),
});
//# sourceMappingURL=validation.js.map