"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deserializeHederaTransaction = exports.serializeHederaTransaction = void 0;
const bignumber_js_1 = __importDefault(require("bignumber.js"));
function serializeHederaTransaction({ amount, family, memo = undefined, recipient, }) {
    return {
        amount: amount.toString(),
        family,
        memo,
        recipient,
    };
}
exports.serializeHederaTransaction = serializeHederaTransaction;
function deserializeHederaTransaction({ amount, family, memo = undefined, recipient, }) {
    return {
        amount: new bignumber_js_1.default(amount),
        family,
        memo,
        recipient,
    };
}
exports.deserializeHederaTransaction = deserializeHederaTransaction;
//# sourceMappingURL=serializer.js.map