"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deserializeInternetComputerTransaction = exports.serializeInternetComputerTransaction = void 0;
const bignumber_js_1 = __importDefault(require("bignumber.js"));
const serializeInternetComputerTransaction = ({ amount, recipient, family, fees, memo, }) => ({
    amount: amount.toFixed(),
    recipient,
    family,
    fees: fees.toString(),
    memo,
});
exports.serializeInternetComputerTransaction = serializeInternetComputerTransaction;
const deserializeInternetComputerTransaction = ({ amount, recipient, family, fees, memo, }) => ({
    amount: new bignumber_js_1.default(amount),
    recipient,
    family,
    fees: new bignumber_js_1.default(fees),
    memo,
});
exports.deserializeInternetComputerTransaction = deserializeInternetComputerTransaction;
//# sourceMappingURL=serializer.js.map