import { z } from "zod";
export declare const schemaTezosOperationMode: z.ZodEnum<["send", "delegate", "undelegate"]>;
export declare const schemaRawTezosTransaction: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
    family: z.ZodLiteral<"tezos">;
    mode: z.ZodEnum<["send", "delegate", "undelegate"]>;
    fees: z.ZodOptional<z.ZodString>;
    gasLimit: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    family: "tezos";
    amount: string;
    recipient: string;
    mode: "send" | "delegate" | "undelegate";
    fees?: string | undefined;
    gasLimit?: string | undefined;
}, {
    family: "tezos";
    amount: string;
    recipient: string;
    mode: "send" | "delegate" | "undelegate";
    fees?: string | undefined;
    gasLimit?: string | undefined;
}>;
//# sourceMappingURL=validation.d.ts.map