"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deserializeTronTransaction = exports.serializeTronTransaction = void 0;
const bignumber_js_1 = __importDefault(require("bignumber.js"));
const serializeTronTransaction = ({ amount, recipient, family, mode, resource, duration, votes, }) => ({
    amount: amount.toString(),
    recipient,
    family,
    mode,
    resource,
    duration,
    votes,
});
exports.serializeTronTransaction = serializeTronTransaction;
const deserializeTronTransaction = ({ amount, recipient, family, mode, resource, duration, votes, }) => ({
    amount: new bignumber_js_1.default(amount),
    recipient,
    family,
    mode,
    resource,
    duration,
    votes,
});
exports.deserializeTronTransaction = deserializeTronTransaction;
//# sourceMappingURL=serializer.js.map