"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaAccountRequest = void 0;
const zod_1 = require("zod");
const accounts_1 = require("../../accounts");
const schemaAccountRequestParams = zod_1.z.object({
    currencyIds: zod_1.z.array(zod_1.z.string()).optional(),
    showAccountFilter: zod_1.z.boolean().optional(),
});
const schemaAccountRequestResults = zod_1.z.object({
    rawAccount: accounts_1.schemaRawAccount,
});
exports.schemaAccountRequest = {
    params: schemaAccountRequestParams,
    result: schemaAccountRequestResults,
};
//# sourceMappingURL=AccountRequest.js.map