"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaBitcoinGetPublicKey = void 0;
const zod_1 = require("zod");
const schemaBitcoinGetPublicKeyParams = zod_1.z.object({
    accountId: zod_1.z.string(),
    derivationPath: zod_1.z.string().optional(),
});
const schemaBitcoinGetPublicKeyResults = zod_1.z.object({
    publicKey: zod_1.z.string(),
});
exports.schemaBitcoinGetPublicKey = {
    params: schemaBitcoinGetPublicKeyParams,
    result: schemaBitcoinGetPublicKeyResults,
};
//# sourceMappingURL=BitcoinGetPublicKey.js.map