"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaCurrencyList = void 0;
const zod_1 = require("zod");
const currencies_1 = require("../../currencies");
const schemaCurrencyListParams = zod_1.z
    .object({
    currencyIds: zod_1.z.array(zod_1.z.string()).optional(),
})
    .optional();
const schemaCurrencyListResult = zod_1.z.object({
    currencies: zod_1.z.array(currencies_1.schemaCurrency),
});
exports.schemaCurrencyList = {
    params: schemaCurrencyListParams,
    result: schemaCurrencyListResult,
};
//# sourceMappingURL=CurrencyList.js.map