"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaExchangeStart = void 0;
const zod_1 = require("zod");
const schemaExchangeType = zod_1.z.enum([
    "SWAP",
    "SELL",
    "FUND",
    "SWAP_NG",
    "SELL_NG",
    "FUND_NG",
]);
const schemaExchangeStartParams = zod_1.z.object({
    exchangeType: schemaExchangeType,
});
const schemaExchangeStartResults = zod_1.z.object({
    transactionId: zod_1.z.string(),
});
exports.schemaExchangeStart = {
    params: schemaExchangeStartParams,
    result: schemaExchangeStartResults,
};
//# sourceMappingURL=ExchangeStart.js.map