import { z } from "zod";
declare const schemaStorageGetParams: z.ZodObject<{
    key: z.ZodString;
    storeId: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    key: string;
    storeId?: string | undefined;
}, {
    key: string;
    storeId?: string | undefined;
}>;
declare const schemaStorageGetResults: z.ZodObject<{
    value: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    value?: string | undefined;
}, {
    value?: string | undefined;
}>;
export declare const schemaStorageGet: {
    params: z.ZodObject<{
        key: z.ZodString;
        storeId: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        key: string;
        storeId?: string | undefined;
    }, {
        key: string;
        storeId?: string | undefined;
    }>;
    result: z.ZodObject<{
        value: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        value?: string | undefined;
    }, {
        value?: string | undefined;
    }>;
};
export type StorageGet = {
    params: z.infer<typeof schemaStorageGetParams>;
    result: z.infer<typeof schemaStorageGetResults>;
};
export type StorageGetHandler = (params: StorageGet["params"]) => StorageGet["result"];
export {};
//# sourceMappingURL=StorageGet.d.ts.map