"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaStorageGet = void 0;
const zod_1 = require("zod");
const schemaStorageGetParams = zod_1.z.object({
    key: zod_1.z.string().min(1),
    storeId: zod_1.z.string().min(1).optional(),
});
const schemaStorageGetResults = zod_1.z.object({
    value: zod_1.z.string().optional(),
});
exports.schemaStorageGet = {
    params: schemaStorageGetParams,
    result: schemaStorageGetResults,
};
//# sourceMappingURL=StorageGet.js.map