import { z } from "zod";
declare const schemaWalletInfoParams: z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>;
declare const schemaWalletInfoResults: z.ZodObject<{
    tracking: z.ZodBoolean;
    wallet: z.ZodObject<{
        name: z.ZodString;
        version: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        name: string;
        version: string;
    }, {
        name: string;
        version: string;
    }>;
}, "strip", z.ZodTypeAny, {
    wallet: {
        name: string;
        version: string;
    };
    tracking: boolean;
}, {
    wallet: {
        name: string;
        version: string;
    };
    tracking: boolean;
}>;
export declare const schemaWalletInfo: {
    params: z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>;
    result: z.ZodObject<{
        tracking: z.ZodBoolean;
        wallet: z.ZodObject<{
            name: z.ZodString;
            version: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            name: string;
            version: string;
        }, {
            name: string;
            version: string;
        }>;
    }, "strip", z.ZodTypeAny, {
        wallet: {
            name: string;
            version: string;
        };
        tracking: boolean;
    }, {
        wallet: {
            name: string;
            version: string;
        };
        tracking: boolean;
    }>;
};
export type WalletInfo = {
    params: z.infer<typeof schemaWalletInfoParams>;
    result: z.infer<typeof schemaWalletInfoResults>;
};
export type WalletInfoHandler = (params: WalletInfo["params"]) => WalletInfo["result"];
export {};
//# sourceMappingURL=WalletInfo.d.ts.map